NetStat (Sigar API)
Date: 2010-04-28

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.sigar
Class NetStat

    java.lang.Object
      org.hyperic.sigar.NetStat

All Implemented Interfaces:
  java.io.Serializable

    public class NetStat

extends java.lang.Object
implements java.io.Serializable

See Also:
  Serialized Form

Field Summary
`protected int` | `allInboundTotal`
`protected int` | `allOutboundTotal`
`protected int` | `tcpInboundTotal`
`protected int` | `tcpOutboundTotal`
`protected int[]` | `tcpStates`

Constructor Summary
`NetStat()`

Method Summary
`int` | `getAllInboundTotal()`
`int` | `getAllOutboundTotal()`
`int` | `getTcpBound()`
`int` | `getTcpClose()`
`int` | `getTcpCloseWait()`
`int` | `getTcpClosing()`
`int` | `getTcpEstablished()`
`int` | `getTcpFinWait1()`
`int` | `getTcpFinWait2()`
`int` | `getTcpIdle()`
`int` | `getTcpInboundTotal()`
`int` | `getTcpLastAck()`
`int` | `getTcpListen()`
`int` | `getTcpOutboundTotal()`
`int[]` | `getTcpStates()`
`int` | `getTcpSynRecv()`
`int` | `getTcpSynSent()`
`int` | `getTcpTimeWait()`
`void` | `stat(Sigar sigar)`
`void` | `stat(Sigar sigar, byte[] address, long port)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### tcpStates

    protected int[] tcpStates

### tcpInboundTotal

    protected int tcpInboundTotal

### tcpOutboundTotal

    protected int tcpOutboundTotal

### allInboundTotal

    protected int allInboundTotal

### allOutboundTotal

    protected int allOutboundTotal

Constructor Detail

### NetStat

    public NetStat()

Method Detail

### stat

    public void stat(Sigar sigar)
              throws SigarException

  Throws:
    `SigarException`

### stat

    public void stat(Sigar sigar,
                     byte[] address,
                     long port)
              throws SigarException

  Throws:
    `SigarException`

### getTcpInboundTotal

    public int getTcpInboundTotal()

### getTcpOutboundTotal

    public int getTcpOutboundTotal()

### getAllInboundTotal

    public int getAllInboundTotal()

### getAllOutboundTotal

    public int getAllOutboundTotal()

### getTcpStates

    public int[] getTcpStates()

### getTcpEstablished

    public int getTcpEstablished()

### getTcpSynSent

    public int getTcpSynSent()

### getTcpSynRecv

    public int getTcpSynRecv()

### getTcpFinWait1

    public int getTcpFinWait1()

### getTcpFinWait2

    public int getTcpFinWait2()

### getTcpTimeWait

    public int getTcpTimeWait()

### getTcpClose

    public int getTcpClose()

### getTcpCloseWait

    public int getTcpCloseWait()

### getTcpLastAck

    public int getTcpLastAck()

### getTcpListen

    public int getTcpListen()

### getTcpClosing

    public int getTcpClosing()

### getTcpIdle

    public int getTcpIdle()

### getTcpBound

    public int getTcpBound()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ? 2004-2009 Hyperic. All Rights Reserved.